#include "bintree.h"
#include <iostream>

using namespace std;
using namespace bintree;

unsigned lookup0(Tree tree, const string& key)
{
    return member(tree, key) ? lookup(tree, key) : 0;
}

void increment(Tree& freqs, const string& word)
{
    insert(freqs, word, lookup0(freqs, word) + 1);
}

int main()
{
    Tree frequencies;
    string word;

    while (cin >> word && word != "EOF")
        increment(frequencies, word);

    for (const std::string& word : get_keys(frequencies))
        cout << word << ' ' << lookup(frequencies, word) << '\n';
}